Additional plugins are required to display all the media on this page

I got this irritating message on Firefox and SeaMonkey constantly, mostly because I don't have Flash. Fortunately, it's easy enough to disable.

Go to about:config and set this option to true:

plugins.hide_infobar_for_missing_plugin